#! /usr/bin/env python
#
# Copyright (c) Members of the EGEE Collaboration. 2009-2010.
# See http://www.eu-egee.org/partners/ for details on the copyright
# holders.
# 
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
#     http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
import os

f = open("default.ldif.live")
lines = f.readlines()
f.close()

f = open("default.ldif.clean","w")
f.write("""
dn: o=grid
objectClass: organization
o: grid

dn: Mds-Vo-name=local,o=grid
objectClass: GlueTop
objectClass: Mds
Mds-Vo-name: local

dn: Mds-Vo-name=resource,o=grid
objectClass: GlueTop
objectClass: Mds
Mds-Vo-name: resource

dn: Mds-Vo-name=IN2P3-CC,Mds-Vo-name=local,o=grid
objectClass: GlueTop
Mds-Vo-name: resource
""")

outputline = ""
for line in lines[2:]:
	if line[0] == " ":
		outputline = outputline + line.strip()
	else:
		f.write(outputline + "\n")
		outputline = line.strip()
f.write(outputline + "\n")
	
f.close()
